import { BasicColumn, FormSchema } from '@/components/Table';
import { TreeItem } from '@/components/Tree';
import { TreeProps } from 'ant-design-vue/es/tree/Tree';

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 180,
    slots: { customRender: 'name' },
  },
  {
    title: '权属工作组',
    dataIndex: 'ownershipWorkgroup',
    width: 120,
  },

  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 120,
  },
  {
    title: '更新时间',
    dataIndex: 'updateDate',
    width: 120,
  },
  {
    title: '业务标签',
    dataIndex: 'businessTag',
    width: 80,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
  },
  {
    title: '发布状态',
    dataIndex: 'releaseStatus',
    width: 120,
  },
];
/** 检查列表字段*/
export const checkColumn: BasicColumn[] = [
  {
    title: '任务流名称',
    dataIndex: 'taskFlowName',
    width: 120,
  },
  {
    title: '检查信息',
    dataIndex: 'checkInfo',
    width: 220,
  },
];
/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'InputSearch',
    colProps: { span: 20 },
    componentProps: {
      placeholder: '输入关键字搜索',
      onChange: (e: any) => {
        console.log(e);
      },
    },
  },
];
export const taskTreeData: TreeItem[] = [
  {
    key: '1',
    title: '所有任务流',
    level: '0',
    children: [
      {
        title: 'admin-个人工作区',
        key: '1-1',
        level: '1',
        icon: 'ion:desktop-outline',
        children: [
          { title: '超时', level: '2', key: '1-1-1', icon: 'ion:git-branch-outline' },
          { title: 'test', level: '2', key: '1-1-2', icon: 'ion:git-branch-outline' },
          { title: 'sql', level: '2', key: '1-1-3', icon: 'ion:git-branch-outline' },
        ],
      },
      {
        title: 'SLA场景验证',
        key: '1-2',
        level: '1',
        icon: 'ion:desktop-outline',
        children: [
          { title: 'test', key: '1-2-1', icon: 'ion:git-branch-outline' },
          { title: 'SLA-沟通流水', key: '1-2-2', icon: 'ion:git-branch-outline' },
          { title: 'SLA-实时指标计算', key: '1-2-3', icon: 'ion:git-branch-outline' },
          { title: 'sla分组件指标日批统计历史', key: '1-2-4', icon: 'ion:git-branch-outline' },
          { title: 'SLA', key: '1-2-5', icon: 'ion:git-branch-outline' },
        ],
      },
    ],
  },
];
export const addNewFolderFormSchema: FormSchema[] = [
  {
    label: '文件夹路径',
    field: 'path',
    component: 'TreeSelect',
    componentProps: {
      fieldNames: {
        value: 'key',
      },
      treeData: taskTreeData,
    } as TreeProps,
  },
  {
    label: '文件夹名称',
    field: 'name',
    required: true,
    component: 'Input',
  },
];
